clang-tools 10.0.0

Classes | Namespaces | Functions
OpenMPTidyModule.cpp File Reference
`#include "../ClangTidy.h"`
`#include "../ClangTidyModule.h"`
`#include "../ClangTidyModuleRegistry.h"`
`#include "ExceptionEscapeCheck.h"`
`#include "UseDefaultNoneCheck.h"`
Include dependency graph for OpenMPTidyModule.cpp:

Go to the source code of this file.

## Classes
class | clang::tidy::openmp::OpenMPModule
| This module is for OpenMP-specific checks. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::openmp

## Functions
static ClangTidyModuleRegistry::Add< OpenMPModule > | clang::tidy::openmp::X ("openmp-module", "Adds OpenMP-specific checks.")